using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_EntityFramework;
using Exferia_General._0_Modelos;
using Exferia_General.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Exferia_Aplicacion.General.Enumerados;

namespace Exferia_General._3_Vistas.Listados
{
    public class ABS_Listado_SNC_SincronizacionSeguimiento_P_Visor_SeguimientoSincronizacion : ABS_Listado
    {
        private Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

        public ABS_Listado_SNC_SincronizacionSeguimiento_P_Visor_SeguimientoSincronizacion()
        {
            Rellenar_Columnas();
        }

        private void Rellenar_Columnas()
        {
            //id
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.id), "id", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));

            //Ordenacion_Id
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Ordenacion_Id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Ordenacion_Id), "Ordenacion_Id", G_ENUM_TIPOSDATOS.TEXT, true, 0, false, false, false, false, "", null));

            //Terminal
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_TERMINAL = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.idTerminal), nameof(GEN_Terminales), nameof(GEN_Terminales.id), nameof(GEN_Terminales.codigo), nameof(GEN_Terminales.descripcion), nameof(GEN_Terminales.fechaBorrado));
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Terminal), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Terminal), "Terminal", G_ENUM_TIPOSDATOS.RELACIONADA, false, 140, true, true, true, true, "", null, false, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_TERMINAL));

            //fechaHora
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.fechaHora), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.fechaHora), "Fecha/Hora", G_ENUM_TIPOSDATOS.DATETIME, false, 90, true, false, true, false, "", null));

            //accion
            //tipoTrazabilidad_Entradas
            INTERNO_Filtro_Opciones_Modelo mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES = new INTERNO_Filtro_Opciones_Modelo();
            mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES.MULTISELECCION = true;
            mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES.LISTADO = new List<INTERNO_Filtro_Opciones_Listado_Modelo>();
            mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES.LISTADO.Add(new INTERNO_Filtro_Opciones_Listado_Modelo(Variables.G_MDL_SINCRONIZACIONACCIONES_DESASIGNANDO.Descripcion, Variables.G_MDL_SINCRONIZACIONACCIONES_DESASIGNANDO.Descripcion));
            mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES.LISTADO.Add(new INTERNO_Filtro_Opciones_Listado_Modelo(Variables.G_MDL_SINCRONIZACIONACCIONES_GENERANDO.Descripcion, Variables.G_MDL_SINCRONIZACIONACCIONES_GENERANDO.Descripcion));
            mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES.TIPO = 1;
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Accion_Texto), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.Accion_Texto), "Acción", G_ENUM_TIPOSDATOS.OPCIONES, false, 120, true, false, true, false, "", null, false, mdl_INTERNO_Filtro_Opciones_Modelo_ACCIONES));

            //tabla
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.tabla), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.tabla), "Tabla", G_ENUM_TIPOSDATOS.TEXT, false, 250, true, true, true, false, "", null));

            //totalRegistros
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.totalRegistros), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.totalRegistros), "Registros totales", G_ENUM_TIPOSDATOS.LONG, false, 250, true, false, true, false, "", null));

            //ids
            g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.ids), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.ids), "Ids", G_ENUM_TIPOSDATOS.TEXT, false, 100, true, false, false, false, "", null));

        }

        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return Datos_Generales.PRV_Opciones_Buscar_Detalles(Variables.G_STR_OPCION_SNC_SINCRONIZACIONSEGUIMIENTO);
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return Variables.G_STR_OPCION_SNC_SINCRONIZACIONSEGUIMIENTO + "_P_Visor_SeguimientoSincronizacion";
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            return g_dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_SNC_SincronizacionSeguimiento_Listado_Modelo.fechaHora);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "1";
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}